com.h3c.dist.sync

## Class SyncServiceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.h3c.dist.sync.SyncServiceException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    SyncServiceException.NoChildrenForEphemeralException, SyncServiceException.NodeChangedException, SyncServiceException.NodeExistsException, SyncServiceException.NodeHasChildrenException, SyncServiceException.NodeNeverReadException, SyncServiceException.NodeNotFoundException

      public abstract class SyncServiceException
      extends Exception

  This class defines the exceptions thrown by SyncService.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SyncServiceException.NoChildrenForEphemeralException`
    `static class` | `SyncServiceException.NodeChangedException`
    `static class` | `SyncServiceException.NodeExistsException`
    `static class` | `SyncServiceException.NodeHasChildrenException`
    `static class` | `SyncServiceException.NodeNeverReadException`
    `static class` | `SyncServiceException.NodeNotFoundException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SyncServiceException()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<SyncServiceMultiOpResult>` | `getMultiOpResults()`
    `void` | `setMultiOpResults(List<SyncServiceMultiOpResult> results)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SyncServiceException

          public SyncServiceException()

  - ### Method Detail

    - #### setMultiOpResults

          public void setMultiOpResults(List<SyncServiceMultiOpResult> results)

    - #### getMultiOpResults

          public List<SyncServiceMultiOpResult> getMultiOpResults()

Copyright © 2014. All Rights Reserved.